////////////////////////////////////////////////////////////////////////////
// CProcStart クラスのインタフェース宣言
// プロセスを起動させる
////////////////////////////////////////////////////////////////////////////

#if !defined( PROCSTART_H_INCLUDED_ )
#define PROCSTART_H_INCLUDED_

#include <list>
#include <string>

using namespace std;

class CProcStart
{
public:
	CProcStart();
	~CProcStart();

	// 起動するコマンドを指定
	void SpecifyCommand( const string& rCmd );

	// 引数を追加
	void AddArg( const string& rArg );

	// 起動
	int Start() const;

protected:
	string cmd;
	list< string > listArg;
};

#endif // PROCSTART_H_INCLUDED_

